local HealBuffs={}
Recount.HealBuffs=HealBuffs

local BS = AceLibrary("Babble-Spell-2.2")

local HealBuff={	
	[BS["Lifebloom"]]=true,
	[BS["Prayer of Mending"]]=true,
	[BS["Earth Shield"]]=true,}

local Lifebloom=BS["Lifebloom"]
local PoM=BS["Prayer of Mending"]
local EarthShield=BS["Earth Shield"]

BS = nil

function HealBuffs:HasMyHealBuffExpiring(unit,buffName)
	local i=1
	local name, TimeLeft

	while (UnitBuff(unit,i) ~= nil) do
		name, _, _, _, _, TimeLeft =  UnitBuff(unit,i)

		if name==buffName and TimeLeft and TimeLeft<0.16 then
			return true
		end
		i=i+1
	end
	return false
end

function HealBuffs:HasMyHealBuff(unit,buffName)
	local i=1
	local Name, Duration
	while (UnitBuff(unit,i) ~= nil) do
		name, _, _, _, Duration =  UnitBuff(unit,i)

		if name==buffName and Duration then
			return true
		end
		i=i+1
	end
	return false
end

function HealBuffs:IsMyHealBuff(victim,ability)
	--first confirm the unitid is correct
	if not UnitExists(victim.unit) or UnitName(victim.unit)~=victim.Name then
		local unit=Recount:FindUnit(victim.Name)
		if unit then
			victim.unit=unit
		else
			--can't find the unit so no idea whats happening
			return false
		end
	end
	
	if ability==Lifebloom then
		--Might not be ours
		if HealBuffs:HasMyHealBuffExpiring(victim.unit,ability) then
			--its ours!
			Recount:Print(ability,victim.Name)
			return true
		end
		return false
	elseif ability==PoM or ability==EarthShield then
		if HealBuffs:HasMyHealBuff(victim.unit) then
			Recount:Print(ability,victim.Name)
			return true
		end
		return false
	end

	return false
end